Bug 15102 - Fix capitalization for some strings on XSLT detail pages
Summary: Fix capitalization for some strings on XSLT detail pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Héctor Eduardo Castro Avalos
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-01 20:35 UTC by Katrin Fischer
Modified: 2016-06-21 21:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 15102 - Fix capitalization for some strings on XSLT detail pages (7.86 KB, patch)
2015-11-08 06:03 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15102-(follow-up)Fix capitalization of multiples fields on XSLT Intranet/OPAC (12.19 KB, patch)
2015-11-08 18:21 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15102-(follow-up)Fix capitalization of multiples fields on XSLT Intranet/OPAC (12.75 KB, patch)
2015-11-08 19:16 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15102 - Fix capitalization for some strings on XSLT detail pages (19.26 KB, patch)
2015-11-10 02:24 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 15102 - Fix capitalization for some strings on XSLT detail pages (19.31 KB, patch)
2015-11-10 07:02 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 15102 - Fix capitalization for some strings on XSLT detail pages (19.38 KB, patch)
2015-11-10 08:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-11-01 20:35:57 UTC
This applies to OPAC and staff:

- Contained Works
- Related Works
- Media Type
- Content Type
- Carrier Type
Comment 1 Héctor Eduardo Castro Avalos 2015-11-08 06:03:34 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-11-08 18:21:49 UTC Comment hidden (obsolete)
Comment 3 Héctor Eduardo Castro Avalos 2015-11-08 19:16:20 UTC Comment hidden (obsolete)
Comment 4 Héctor Eduardo Castro Avalos 2015-11-08 19:24:55 UTC
Holdings or Item information is still in capitalization (Visual Materials, Non Fiction, Continuing Resources) but this need changes in SQL statements. I think IMHO this need to file another bug.
Comment 5 Frédéric Demians 2015-11-09 10:41:48 UTC
Could you submit a single patch rather than two? This would help the proof reading.
Comment 6 Héctor Eduardo Castro Avalos 2015-11-10 02:24:25 UTC Comment hidden (obsolete)
Comment 7 Héctor Eduardo Castro Avalos 2015-11-10 02:29:55 UTC
HI Frédéric

The two commits squashed
Comment 8 Frédéric Demians 2015-11-10 07:02:53 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2015-11-10 08:49:34 UTC
Created attachment 44680 [details] [review]
Bug 15102 - Fix capitalization for some strings on XSLT detail pages

To test:
-Search records with 336, 337, 338, 700$i, and 7XXind=2
-Search records with 508, 264Ind=4, 246, 856, and LDR/6 and
LDR/7 (BK, VM, CR, CF)
-Notice the capitalization (Contained Works, Related Works, Media Type,
Content Type, and Carrier Type, Production Credits, Copyright Date,
Other Title, Online Access, Continuing Resource, Mixed Materials,
Computer File, Visual Material) in both OPAC and Intranet for
records detail pages and results pages
-Apply this patch
-Search again and get notice about the capitalization following
Koha coding guidelines

Signed-off-by: Frederic Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Tomás Cohen Arazi 2015-11-11 14:12:32 UTC
Patch pushed to master.

Thanks Hector!